Name:		hamster-time-tracker
Version:	1.04
%define subrel	1
Release:	%mkrel 7
Summary:	The linux time tracker
License:	GPLv+
Group:		Graphical desktop/GNOME
Url:		http://projecthamster.wordpress.com
Source0:	https://github.com/projecthamster/hamster/archive/%{name}-%{version}.tar.gz
# Originally from Fedora
Patch100:	hamster-time-tracker-1.03.3-file-locations.patch
Patch101:	hamster-time-tracker-1.03.3-service-dbus.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gnome-doc-utils
Requires:	gnome-python-desktop
Requires:	gnome-python-gconf
Requires:	python-dbus
Requires:	python-pyxdg

Provides:	hamster-applet
Obsoletes:	hamster-applet < 2.91.3-1

%description
The linux time tracker for GNOME v3+.

%prep
%setup -q -n hamster-%{name}-%{version}
%patch100 -b .location
%patch101 -b .dbus

# drop shebang
sed -ibackup '1d' src/hamster/today.py

%build
%setup_compile_flags
./waf configure build \
	--prefix=%{_prefix} \
	--libdir=%{_datadir}

%install
./waf install \
	--destdir=%{buildroot}

%find_lang %{name} --with-gnome

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS MAINTAINERS AUTHORS README*
%{_sysconfdir}/bash_completion.d/hamster.bash
%{_sysconfdir}/gconf/schemas/hamster-time-tracker.schemas
%{_bindir}/hamster*
%{_datadir}/applications/hamster-*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/dbus-1/services/org.gnome.hamster*.service
%{_datadir}/%{name}/
%{python_sitelib}/hamster/


%changelog
* Fri Dec 25 2015 wally <wally> 1.04-7.1.mga5
+ Revision: 914665
- require python-dbus (mga#17399)

* Wed Oct 15 2014 umeabot <umeabot> 1.04-7.mga5
+ Revision: 748049
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 wally <wally> 1.04-6.mga5
+ Revision: 737738
- require python-pyxdg

* Thu Oct 09 2014 wally <wally> 1.04-5.mga5
+ Revision: 737733
- require gnome-python-gconf

* Sat Sep 27 2014 tv <tv> 1.04-4.mga5
+ Revision: 726459
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.04-3.mga5
+ Revision: 680075
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.04-2.mga5
+ Revision: 628250
- Rebuild for new Python

* Wed Feb 12 2014 wally <wally> 1.04-1.mga5
+ Revision: 589768
- new version 1.04
- sync patches with Fedora

* Wed Oct 30 2013 wally <wally> 1.03.3-1.mga5
+ Revision: 548036
- new version 1.03.3
- rename pkg as hamster-time-tracker

* Sat Jan 12 2013 umeabot <umeabot> 2.91.3-0.20111207.2.mga3
+ Revision: 353085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 guillomovitch <guillomovitch> 2.91.3-0.20111207.1.mga2
+ Revision: 178312
- new version (git snapshot)

  + dmorgan <dmorgan>
    - Do not build applets (P1)

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Fri Mar 18 2011 wally <wally> 2.32.1-4.mga1
+ Revision: 74259
- require python-notify

* Fri Mar 18 2011 wally <wally> 2.32.1-3.mga1
+ Revision: 74251
- require python-pyxdg (mga#431)
- require python-dbus and drop duplicate require
- drop buildroot definition

* Thu Mar 03 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 63665
- Set libdir so that the .server is correct
- imported package hamster-applet

